%define upstream_name    IP-Info
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Interface to IP geographic and network data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IP/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     IP-Info-0.13-skip-manifest-checks.patch

BuildRequires: perl(Data::Validate::IP) >= 0.100.0
BuildRequires: perl(Digest::MD5) >= 2.360.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(JSON)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::More)
BuildRequires: perl(Throwable)
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%description
Quova RESTful API provides the geographic location and network data for any
Internet Protocol address in the public address space. The information
includes:

* * Postal code, city, state, region, country, and continent

* * Area code (US and Canada only) and time zone

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.130.0-4pclos2017
- rebuild against updates

